package com.santbbd.stams.po.bankcore;

import org.slf4j.LoggerFactory;
import com.santbbd.stams.po.creditloans.CreditLoanResp;
import com.santbbd.stams.po.creditloans.LoanList;
import com.santbbd.stams.po.creditloans.CreditLoansReqHdr;
import com.santbbd.stams.po.creditloans.CreditLoanReq;
import com.santbbd.stams.po.creditloans.CreditLoanBody;
import com.santbbd.stams.po.creditloans.CreditLoansBean;
import com.santbbd.stams.util.xmlutil.SeqNoUtil;
import java.lang.reflect.Field;
import java.util.Optional;
import com.santbbd.stams.po.inspect.channelInfo.MsgParsingBody;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementCReq;
import com.santbbd.stams.po.inspect.CommCheckBean;
import com.santbbd.stams.po.bankecif.threelement.ThreeElementBody;
import com.santbbd.stams.po.bankecif.threelement.ThreeElementReq;
import com.santbbd.stams.po.bankecif.threelement.ThreeElementBean;
import com.santbbd.stams.po.bankcore.accountinfoquery.Lsthmdxx;
import com.santbbd.stams.util.datautil.DataEncodingUtils;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.SysTime;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementResultReq;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementCBean;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementResultBody;
import com.santbbd.stams.po.middlelayer.operatorelementcheck.OpElementResultResp;
import com.santbbd.stams.util.common.MyStringUtils;
import com.santbbd.stams.po.middlelayer.operatorelementcheck.OpElementResultReq;
import com.santbbd.stams.esb.inspect.common.RelatedPerList;
import com.santbbd.stams.po.middlelayer.operatorelementcheck.OpElementcBean;
import com.santbbd.stams.po.middlelayer.operatorelementcheck.OpElementResultBody;
import com.santbbd.stams.po.middlelayer.operatorelementcheck.OpElementResultBean;
import java.util.ArrayList;
import com.santbbd.stams.po.inspect.common.IBSHdrReq;
import com.santbbd.stams.po.bankecif.blacklist.MCiSpeciallList;
import com.santbbd.stams.po.inspect.common.Msg;
import com.santbbd.stams.po.inspect.common.Header;
import com.santbbd.stams.po.bankecif.blacklist.BlackListQBody;
import com.santbbd.stams.po.bankecif.blacklist.BlackListQReq;
import com.santbbd.stams.po.bankecif.blacklist.BlackListQBean;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementResultResp;
import com.santbbd.stams.po.middlelayer.enterpriselementcheck.EntElementResultBean;
import com.santbbd.stams.po.inspect.channelInfo.DelAccountInfo;
import com.santbbd.stams.util.ProperUtil;
import org.apache.commons.lang3.StringUtils;
import com.santbbd.stams.util.HttpClientResult;
import com.santbbd.stams.po.system.OrgInfoDto;
import com.santbbd.stams.po.system.PbcUserDto;
import com.santbbd.stams.po.inspect.AreaCodePo;
import com.santbbd.stams.po.inspect.channelInfo.MsgParsingRequest;
import java.util.Map;
import com.alibaba.fastjson.JSONObject;
import com.santbbd.stams.util.HttpClientUtils;
import com.santbbd.stams.util.reportutils.PbcCheckUtil;
import com.santbbd.stams.util.reportutils.CommonReportUtil;
import com.santbbd.stams.util.StringUtil;
import java.util.HashMap;
import com.santbbd.stams.po.inspect.channelInfo.PbcRequestInfo;
import com.santbbd.stams.po.bankcore.accountinfoquery.Lstminxi;
import com.santbbd.stams.po.bankcore.accountinfoquery.AccountInfoQOutput;
import com.santbbd.stams.po.inspect.common.Status;
import java.util.Iterator;
import java.util.List;
import com.santbbd.stams.util.xmlutil.SocketUtil;
import com.santbbd.stams.util.xmlutil.XmlUtils;
import com.santbbd.stams.util.inspectUtil.commoninspect.CommInspectUtil;
import com.santbbd.stams.po.bankcore.accountinfoquery.AccountInfoQBean;
import com.santbbd.stams.po.bankcore.custdepositInfoquery.Wwzhxinx;
import com.santbbd.stams.po.bankcore.custdepositInfoquery.CustDepositInfoQBean;
import com.santbbd.stams.po.inspect.reservationInspect.DataExaInfoList;
import com.santbbd.stams.po.common.ResultDto;
import com.santbbd.stams.po.inspect.channelInfo.MsgParsingBean;
import org.springframework.beans.factory.annotation.Autowired;
import com.santbbd.stams.service.system.IOrgInfoService;
import com.santbbd.stams.service.inspect.IInspectService;
import com.santbbd.stams.service.inspect.IAreaCodeService;
import org.slf4j.Logger;
import org.springframework.stereotype.Component;

@Component
public class DataCheckRules
{
    private static final Logger logger;
    private static final Integer RECONNECTION_COUNT;
    private static IAreaCodeService areaCodeService;
    private static IInspectService inspectService;
    private static IOrgInfoService orgInfoService;
    
    @Autowired
    public void setAllService(final IAreaCodeService areaCodeService, final IInspectService inspectService, final IOrgInfoService orgInfoService) {
        DataCheckRules.areaCodeService = areaCodeService;
        DataCheckRules.inspectService = inspectService;
        DataCheckRules.orgInfoService = orgInfoService;
    }
    
    public ResultDto coreLongStandingCheck(final MsgParsingBean gmBean, final ResultDto reqDto, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final CustDepositInfoQBean respBean = (CustDepositInfoQBean)reqDto.getData();
        final List<Wwzhxinx> wwzhxinx = respBean.getBody().getResponse().getOutput().getWwzhxinx();
        if (wwzhxinx.size() == 0 || wwzhxinx.isEmpty()) {
            return resultDto;
        }
        for (final Wwzhxinx wwzhxinxInfo : wwzhxinx) {
            final AccountInfoQBean accountInfoQBean = new AccountInfoQBean();
            CommInspectUtil.setAccountInfo(gmBean, wwzhxinxInfo, accountInfoQBean);
            final String reqCoreXml = XmlUtils.convertToXml((Object)accountInfoQBean);
            DataCheckRules.logger.info("核心久悬检查请求报文------>\n" + reqCoreXml);
            final String realXml;
            final String coreRespXml = realXml = SocketUtil.ClientUtils(reqCoreXml, 0);
            DataCheckRules.logger.info("核心久悬检查响应报文------>\n" + realXml);
            final AccountInfoQBean accountBeanCore = (AccountInfoQBean)XmlUtils.convertXmlStrToObject((Class)AccountInfoQBean.class, realXml);
            final Status status = accountBeanCore.getHeader().getStatus();
            if (status.getRetCd().equals("000000")) {
                final AccountInfoQOutput output = accountBeanCore.getBody().getResponse().getOutput();
                final List<Lstminxi> lstminxis = output.getLstminxis();
                if (null != lstminxis && lstminxis.size() > 0) {
                    lstminxis.forEach(p -> {
                        if (p.getAcctStatus().equals("D")) {
                            resultDto.setMessage("该客户在我行存在久悬户");
                            resultDto.setData((Object)accountBeanCore);
                            dataExaInfoList.setCoreLonghanging("※ 核心久悬体检结果：体检不通过;");
                        }
                        else {
                            dataExaInfoList.setCoreLonghanging("核心久悬体检结果：体检通过;");
                        }
                        return;
                    });
                }
                else {
                    dataExaInfoList.setCoreLonghanging("核心久悬体检结果：体检通过");
                }
            }
            else {
                dataExaInfoList.setCoreLonghanging("核心久悬体检结果：" + status.getDesc());
                resultDto.setFail(status.getDesc());
            }
        }
        return resultDto;
    }
    
    public ResultDto pbcLongUnsettledCheck(final PbcRequestInfo pbcReqInfo, final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final Map querymap = new HashMap();
        if (null == pbcReqInfo.getOpenBankCode() || null == pbcReqInfo.getOpenBankName()) {
            querymap.put("bankNo", gmBean.getBody().getMsgParsingRequest().getOpenBankCode());
            querymap.put("bankNa", gmBean.getBody().getMsgParsingRequest().getOpenBankName());
        }
        else {
            querymap.put("bankNo", pbcReqInfo.getOpenBankCode());
            querymap.put("bankNa", pbcReqInfo.getOpenBankName());
        }
        final Map map = new HashMap();
        final MsgParsingRequest msgParsingRequest = gmBean.getBody().getMsgParsingRequest();
        final String custAccountTypeType = gmBean.getBody().getMsgParsingRequest().getSrcAccType();
        if (custAccountTypeType.equals("2") || custAccountTypeType.equals("5")) {
            map.put("basicAreaCode", pbcReqInfo.getAreaCode());
            map.put("checkNumber", gmBean.getBody().getMsgParsingRequest().getCheckNumber().trim());
            map.put("openBankName", pbcReqInfo.getOpenBankName());
        }
        else {
            if (!custAccountTypeType.equals("3")) {
                dataExaInfoList.setPbcLonghanging("人行久悬体检：未体检,该账户类型不进行人行久悬检查");
                return null;
            }
            map.put("checkNumber", gmBean.getBody().getMsgParsingRequest().getCheckNumber().trim());
            map.put("localType", pbcReqInfo.getLocalType());
        }
        String inline = "";
        if (XmlUtils.emptyJudgment(msgParsingRequest.getEntCertType())) {
            if (msgParsingRequest.getEntCertType().equals("2321")) {
                String uniSocCdtCd = msgParsingRequest.getUniSocCdtCd();
                if (uniSocCdtCd == null || uniSocCdtCd.equals("")) {
                    uniSocCdtCd = msgParsingRequest.getEntCertNo();
                }
                if (uniSocCdtCd.length() < 8) {
                    dataExaInfoList.setPbcLonghanging("※ 人行久悬体检结果：未体检:统一社会信用代码证件号码有误，请核查");
                    return new ResultDto();
                }
                inline = uniSocCdtCd.substring(2, 8);
            }
            else if (msgParsingRequest.getEntCertType().equals("2011")) {
                String uniSocCdtCd = msgParsingRequest.getUniSocCdtCd();
                if (uniSocCdtCd == null || uniSocCdtCd.equals("")) {
                    uniSocCdtCd = msgParsingRequest.getEntCertNo();
                }
                if (uniSocCdtCd.length() < 8) {
                    dataExaInfoList.setPbcLonghanging("※ 人行久悬体检结果：未体检:营业执照证件号码有误，请核查");
                    return new ResultDto();
                }
                inline = uniSocCdtCd.substring(2, 8);
            }
            else {
                inline = pbcReqInfo.getAreaCode();
            }
        }
        final String dom = gmBean.getBody().getMsgParsingRequest().getDom();
        AreaCodePo registcode = null;
        if (StringUtil.isBlank(dom)) {
            registcode = DataCheckRules.areaCodeService.queryAllInfo(inline);
        }
        else {
            registcode = DataCheckRules.areaCodeService.queryAllInfo(dom);
        }
        if (null == registcode) {
            dataExaInfoList.setPbcLonghanging("※ 人行久悬户体检结果：未体检,暂不支持该地区核查;");
            return new ResultDto();
        }
        map.put("registcode", registcode.getProCode());
        if (!XmlUtils.emptyJudgment(pbcReqInfo.getLocalType())) {
            if (inline.equals(registcode.getAreaCode())) {
                pbcReqInfo.setLocalType("1");
            }
            else {
                pbcReqInfo.setLocalType("2");
                if (StringUtil.isBlank(registcode.getProCode())) {
                    dataExaInfoList.setPbcLonghanging("※ 人行久悬体检结果：未体检,暂不支持该地区核查;");
                    return new ResultDto();
                }
                map.put("areaCode", registcode.getProCode());
                map.put("basicAreaCode", registcode.getProCode());
                map.put("registcode", registcode.getProCode());
            }
        }
        if (custAccountTypeType.equals("3")) {
            map.put("localType", pbcReqInfo.getLocalType());
        }
        final PbcUserDto managerAcc = CommonReportUtil.getReportUser(pbcReqInfo.getOpenBankCode(), "1", (String)null, "2");
        if (null == managerAcc) {
            dataExaInfoList.setPbcLonghanging("※ 人行久悬体检结果：未体检,人行账管对应机构账户信息不存在");
            return new ResultDto();
        }
        if (!XmlUtils.emptyJudgment(pbcReqInfo.getOpenBankCode())) {
            pbcReqInfo.setOpenBankCode(msgParsingRequest.getOpenBankCode());
        }
        final OrgInfoDto orgInfoDto = DataCheckRules.orgInfoService.queryOrgByOrgCode(pbcReqInfo.getOpenBankCode());
        if (null == orgInfoDto) {
            dataExaInfoList.setPbcLonghanging("※ 人行久悬户检查：未体检,该机构号" + pbcReqInfo.getOpenBankCode() + "所属银行不存在于我行");
            return new ResultDto();
        }
        final String cnapbk = orgInfoDto.getBranchCode();
        map.put("openBankCode", cnapbk);
        final String pbcUserName = managerAcc.getLoginName();
        final String pbcLoginPwd = managerAcc.getLoginPwd();
        map.put("pbcUserName", pbcUserName);
        map.put("pbcLoginPwd", pbcLoginPwd);
        int connectionCount = 0;
        boolean flag = true;
        final String basic = PbcCheckUtil.getCheckUriBytType(custAccountTypeType);
        while (connectionCount < DataCheckRules.RECONNECTION_COUNT && flag) {
            ++connectionCount;
            HttpClientResult httpResult;
            try {
                httpResult = HttpClientUtils.doPost(basic, map);
            }
            catch (final Exception e) {
                dataExaInfoList.setPbcLonghanging("人行久悬户检查:未体检:前置机错误,请稍后重试;");
                continue;
            }
            if (null != httpResult && null != httpResult.getData()) {
                try {
                    DataCheckRules.logger.info("人行war包返回数据------------>" + httpResult.getData());
                    final JSONObject json = JSONObject.parseObject(httpResult.getData());
                    final String message = (String)json.get((Object)"message");
                    final boolean success = (boolean)json.get((Object)"success");
                    if (success) {
                        dataExaInfoList.setPbcLonghanging("人行久悬户检查:体检通过");
                        flag = false;
                    }
                    else {
                        if (message.contains("户已久悬") || message.contains("存款人有其他久悬银行结算账户")) {
                            dataExaInfoList.setPbcLonghanging("人行久悬户体检：体检不通过," + message + ";");
                            resultDto.setFail(message);
                            return resultDto;
                        }
                        dataExaInfoList.setPbcLonghanging("人行久悬户检查:体检通过");
                        flag = false;
                    }
                }
                catch (final Exception e) {
                    dataExaInfoList.setPbcLonghanging("人行久悬户检查:未体检:前置机错误,请稍后重试;");
                    flag = false;
                }
            }
        }
        return resultDto;
    }
    
    public ResultDto pbcDelAccountCheck(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final DelAccountInfo delAccountInfo = gmRequest.getDelAccountInfo();
        final String openBankCode = delAccountInfo.getOpenBankCode();
        final String openBankName = delAccountInfo.getOpenBankName();
        final String approvedStatus = delAccountInfo.getApprovedStatus();
        final String dom = gmBean.getBody().getMsgParsingRequest().getDom();
        final Map hashMap = new HashMap();
        final String basic = PbcCheckUtil.getCheckUriBytType("1");
        if (StringUtils.isBlank(openBankCode) || StringUtils.isBlank(openBankName)) {
            dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单：未体检,人行账管对应机构信息不存在");
            return new ResultDto();
        }
        final OrgInfoDto orgInfoDto = DataCheckRules.orgInfoService.queryOrgByOrgCode(openBankCode);
        if (null == orgInfoDto) {
            dataExaInfoList.setPbcBase("※ 人行未销户清单体检结果：未体检:该银行机构不存在于我行");
            return new ResultDto();
        }
        String accountRank = "0".equals(approvedStatus) ? "2" : "4";
        Integer connectionCount = 0;
        final String delAccountUrl = PbcCheckUtil.getCheckUriBytType("delAccNo");
        while (connectionCount < 3) {
            final PbcUserDto managerAccountInfo = CommonReportUtil.getReportUser(delAccountInfo.getOpenBankCode(), "1", "", accountRank);
            if (managerAccountInfo == null) {
                dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单：未体检,人行账管对应机构账户信息不存在");
                return new ResultDto();
            }
            final Map map = new HashMap(5);
            map.put("pbcUserName", managerAccountInfo.getLoginName());
            map.put("pbcLoginPwd", managerAccountInfo.getLoginPwd());
            map.put("accountCode", delAccountInfo.getPayBackAccount());
            map.put("destReason", delAccountInfo.getDelAccountCause());
            map.put("openBankName", openBankName);
            map.put("openBankCode", orgInfoDto.getBranchCode());
            final ResultDto sendReportRequest = CommonReportUtil.sendReportRequest(delAccountUrl, map);
            if (sendReportRequest == null) {
                DataCheckRules.logger.info("人行未销户清单----->" + resultDto.getData());
                dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单体检结果未体检:前置机错误,请稍后重试");
                gmRequest.setDestroyAcctCheck("※ 人行未销户清单体检结果未体检:前置机错误,请稍后重试");
                ++connectionCount;
            }
            else {
                if (sendReportRequest.isSuccess()) {
                    dataExaInfoList.setDestroyAcctCheck("人行未销户清单体检结果：体检通过");
                    gmRequest.setDestroyAcctCheck("人行未销户清单体检结果：体检通过");
                    resultDto.setSuccess(true);
                    return resultDto;
                }
                final String message = sendReportRequest.getMessage();
                final String pbcUserRankErrorMessage = ProperUtil.getValue("check.properties", "report_user_account_rank_error_message");
                if (StringUtils.isNotBlank(message) && message.contains(pbcUserRankErrorMessage) && accountRank.equals("4")) {
                    dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单体检结果：未体检," + message);
                    gmRequest.setDestroyAcctCheck("※ 人行未销户清单体检结果：未体检," + message);
                    connectionCount = 0;
                    accountRank = "2";
                }
                else {
                    if (message.contains("未销户")) {
                        resultDto.setMessage(message);
                        dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单体检结果：体检不通过," + message);
                        dataExaInfoList.setNphCheck("※ 人行未销户清单体检结果：体检不通过存在其他未销账户");
                        gmRequest.setDestroyAcctCheck("※ 人行未销户清单体检结果：体检不通过," + message);
                        return resultDto;
                    }
                    if (message.contains("久悬")) {
                        resultDto.setMessage(message);
                        dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单体检结果：体检不通过," + message);
                        gmRequest.setDestroyAcctCheck("※ 人行未销户清单体检结果：体检不通过," + message);
                        return resultDto;
                    }
                    dataExaInfoList.setDestroyAcctCheck("※ 人行未销户清单体检结果：未体检," + message);
                    gmRequest.setDestroyAcctCheck("※ 人行未销户清单体检结果：未体检," + message);
                    return resultDto;
                }
            }
        }
        return resultDto;
    }
    
    public ResultDto seriousVioCheck(final EntElementResultBean realRespBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final EntElementResultResp respones = realRespBean.getBody().getResponse();
        if (respones != null) {
            if (respones.getEntIllDscrtInfo() != null) {
                dataExaInfoList.setServiolation("※ 企业严重违法失信体检结果：体检不通过:该客户存在严重违法失信");
                resultDto.setData((Object)realRespBean);
            }
            else {
                dataExaInfoList.setServiolation("企业严重违法失信体检结果：体检通过");
            }
        }
        return resultDto;
    }
    
    public ResultDto ecifBlackListCheck(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) {
        final Header header = gmBean.getHeader();
        final ResultDto resultDto = new ResultDto();
        final Msg msg = header.getMsg();
        msg.setReplyToQ((String)null);
        final BlackListQBean blackListQBean = new BlackListQBean();
        CommInspectUtil.setCommonMsg(msg, "ECIF.00011760.01", "ECIF", "OAMS");
        final BlackListQReq blackListQReq = new BlackListQReq();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        blackListQReq.setTxCode("0001176");
        final MsgParsingRequest msgParsingRequest = gmBean.getBody().getMsgParsingRequest();
        final String channelNo = msgParsingRequest.getChannelNo();
        if (channelNo.equals("1107") || channelNo.equals("1105") || "WBPD".equals(channelNo) || "WBOB".equals(channelNo)) {
            blackListQReq.setIdentNo(msgParsingRequest.getUniSocCdtCd());
        }
        else if (StringUtils.isEmpty(gmRequest.getEntCertNo())) {
            if (StringUtils.isEmpty(msgParsingRequest.getUniSocCdtCd())) {
                resultDto.setSuccess(false);
                resultDto.setMessage("法人证件号码为空");
                dataExaInfoList.setEcifBlack("※ ECIF黑名单询体检结果：未体检，未获取到客户证件信息");
                return resultDto;
            }
            blackListQReq.setIdentNo(msgParsingRequest.getUniSocCdtCd());
        }
        else {
            blackListQReq.setIdentType(gmRequest.getEntCertType());
            blackListQReq.setIdentNo(gmRequest.getEntCertNo());
        }
        blackListQReq.setSpecialListKind("0,10");
        header.setMsg(msg);
        header.setStatus((Status)null);
        blackListQBean.setHeader(header);
        final BlackListQBody body = new BlackListQBody();
        body.setRequest(blackListQReq);
        blackListQBean.setBody(body);
        final String ecifReqXml = XmlUtils.convertToXml((Object)blackListQBean);
        DataCheckRules.logger.info("ECIF黑名单检查请求报文------->\n" + ecifReqXml);
        String ecifRespXml = null;
        final String realXml;
        ecifRespXml = (realXml = SocketUtil.ClientUtils(ecifReqXml, 0));
        DataCheckRules.logger.info("ECIF黑名单检查响应报文------->\n" + realXml);
        BlackListQBean ecifRespInfo = null;
        ecifRespInfo = (BlackListQBean)XmlUtils.convertXmlStrToObject((Class)BlackListQBean.class, realXml);
        final Status status = ecifRespInfo.getHeader().getStatus();
        if (status.getRetCd().equals("000000")) {
            if (null == ecifRespInfo.getBody().getResponse()) {
                dataExaInfoList.setEcifBlack("ECIF黑名单体检结果：体检通过");
            }
            else if (null == ecifRespInfo.getBody().getResponse().getMCiSpeciallList()) {
                dataExaInfoList.setEcifBlack("ECIF黑名单体检结果：体检通过");
            }
            else {
                final MCiSpeciallList mCiSpeciallList = ecifRespInfo.getBody().getResponse().getMCiSpeciallList();
                final String statFlag = mCiSpeciallList.getStatFlag();
                if (XmlUtils.emptyJudgment(statFlag)) {
                    if (statFlag.equals("1")) {
                        resultDto.setData((Object)ecifRespInfo);
                        dataExaInfoList.setEcifBlack("※ ECIF黑名单体检结果：体检不通过:该客户存在于客户黑名单中");
                    }
                    else {
                        dataExaInfoList.setEcifBlack("ECIF黑名单体检结果：体检通过");
                    }
                }
                else {
                    dataExaInfoList.setEcifBlack("ECIF黑名单体检结果：体检通过");
                }
            }
        }
        else if (status.getRetCd().equals("010002")) {
            dataExaInfoList.setEcifBlack("ECIF黑名单体检结果：体检通过");
        }
        else {
            resultDto.setSuccess(false);
            resultDto.setMessage(status.getDesc());
            dataExaInfoList.setEcifBlack("※ ECIF黑名单询体检结果：体检不通过：" + status.getDesc());
        }
        return resultDto;
    }
    
    public ResultDto threeElementsCheck(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) throws InterruptedException {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final List<OpElementResultBean> list = new ArrayList<OpElementResultBean>();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final Header header = gmBean.getHeader();
        final Msg msg = gmBean.getHeader().getMsg();
        msg.setReplyToQ((String)null);
        header.setVer("1.0");
        ibsHdrReq.setSysId("OAMS");
        final OpElementResultBean opElementResultBean = new OpElementResultBean();
        final OpElementResultBody opElementResultBody = new OpElementResultBody();
        final OpElementcBean opElementcBean = new OpElementcBean();
        final List<RelatedPerList> relatedPerList = gmRequest.getRelatedPerList();
        if (relatedPerList != null && relatedPerList.size() > 0) {
            for (final RelatedPerList perList : relatedPerList) {
                CommInspectUtil.setCommonMsg(msg, "IBS.301210010.01", "IBS", "OAMS");
                CommInspectUtil.setOpElement(ibsHdrReq, gmRequest, header, opElementcBean, perList);
                final String reqXml = XmlUtils.convertToXml((Object)opElementcBean);
                DataCheckRules.logger.info("企业人员运营商三要素检查请求报文------->\n" + reqXml);
                final String subXml;
                final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
                DataCheckRules.logger.info("企业人员运营商三要素检查响应报文------->\n" + subXml);
                final OpElementcBean respBean = (OpElementcBean)XmlUtils.convertXmlStrToObject((Class)OpElementcBean.class, subXml);
                if (!"交易成功".equals(respBean.getHeader().getStatus().getDesc())) {
                    resultDto.setMessage(respBean.getHeader().getStatus().getDesc());
                    dataExaInfoList.setThreeElements("企业相关人员三要素体检结果：未体检: " + respBean.getHeader().getStatus().getDesc());
                    return resultDto;
                }
                final String msgId = respBean.getBody().getResponse().getMsgId();
                final OpElementResultReq resultRequest = new OpElementResultReq();
                resultRequest.setIbsHdrReq(ibsHdrReq);
                resultRequest.setMsgId(msgId);
                msg.setMsgCd("IBS.301210030.01");
                msg.setSeqNb(MyStringUtils.getSeqNb());
                msg.setReplyToQ((String)null);
                header.setMsg(msg);
                respBean.setHeader(header);
                opElementResultBody.setRequest(resultRequest);
                opElementResultBean.setBody(opElementResultBody);
                opElementResultBean.setHeader(header);
                String resultReqXml = XmlUtils.convertToXml((Object)opElementResultBean);
                DataCheckRules.logger.info("企业人员运营商三要素检查申请结果请求报文------->\n" + resultReqXml);
                String resultRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
                DataCheckRules.logger.info("企业人员运营商三要素检查申请结果响应报文------->\n" + resultRespXml);
                String realRespXml = resultRespXml;
                OpElementResultBean realRespBean = (OpElementResultBean)XmlUtils.convertXmlStrToObject((Class)OpElementResultBean.class, realRespXml);
                OpElementResultResp respones = realRespBean.getBody().getResponse();
                Status status = realRespBean.getHeader().getStatus();
                int temp = 0;
                while (!status.getDesc().equals("交易成功")) {
                    msg.setSeqNb(MyStringUtils.getSeqNb());
                    resultReqXml = XmlUtils.convertToXml((Object)opElementResultBean);
                    Thread.sleep(7000L);
                    if (++temp > 1) {
                        resultDto.setMessage(status.getDesc());
                        resultDto.setSuccess(false);
                        if (status.getDesc().contains("对应申请应答")) {
                            status.setDesc("IBS未能查询到相关数据");
                        }
                        else {
                            dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：未体检:" + status.getDesc());
                        }
                        return resultDto;
                    }
                    DataCheckRules.logger.info("企业人员运营商三要素检查申请结果轮询请求报文------->\n" + resultReqXml);
                    resultRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
                    DataCheckRules.logger.info("企业人员运营商三要素检查申请结果轮询响应报文------->\n" + resultRespXml);
                    realRespXml = resultRespXml;
                    realRespBean = (OpElementResultBean)XmlUtils.convertXmlStrToObject((Class)OpElementResultBean.class, realRespXml);
                    respones = realRespBean.getBody().getResponse();
                    status = realRespBean.getHeader().getStatus();
                }
                if (respones == null || !status.getDesc().equals("交易成功")) {
                    resultDto.setMessage(status.getDesc());
                    resultDto.setData((Object)resultReqXml);
                    return resultDto;
                }
                list.add(realRespBean);
            }
        }
        if (list == null || list.size() == 0) {
            dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：体检通过");
        }
        else {
            final Iterator<OpElementResultBean> iterator2 = list.iterator();
            if (iterator2.hasNext()) {
                final OpElementResultBean elementResultBean = iterator2.next();
                String rslt = "";
                if (null != elementResultBean.getBody().getResponse().getRslt()) {
                    rslt = elementResultBean.getBody().getResponse().getRslt();
                }
                resultDto.setData((Object)list);
                final boolean empty = XmlUtils.emptyJudgment(rslt);
                if (!empty) {
                    dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：未体检:" + elementResultBean.getBody().getResponse().getRjctInf());
                    return resultDto;
                }
                final String s = rslt;
                switch (s) {
                    case "WIDT": {
                        dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：体检不通过:要素核查条件中的电话号码存在，证件类型不一致");
                        break;
                    }
                    case "WIDN": {
                        dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：体检不通过:要素核查条件中的电话号码存在，证件类型一致,证件号码不一致");
                        break;
                    }
                    case "WNAM": {
                        dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：体检不通过:要素核查条件中的电话号码存在，证件类型一致,证件号码一致，姓名不一致");
                        break;
                    }
                    case "NTFD": {
                        dataExaInfoList.setThreeElements("企业相关人员运营商三要素体检结果：体检不通过:电话号码匹配失败;");
                        break;
                    }
                }
                return resultDto;
            }
        }
        return resultDto;
    }
    
    public ResultDto commerceThreeElementCheck(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) throws InterruptedException {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final Header header = gmBean.getHeader();
        final Msg msg = gmBean.getHeader().getMsg();
        header.setVer("1.0");
        CommInspectUtil.setCommonMsg(msg, "IBS.301210070.01", "IBS", "OAMS");
        ibsHdrReq.setSysId("OAMS");
        final EntElementResultBean entElementResultBean = new EntElementResultBean();
        final EntElementResultBody entElementResultBody = new EntElementResultBody();
        final EntElementCBean entElementCBean = CommInspectUtil.setEntElementCBean(ibsHdrReq, gmRequest, header);
        final String reqXml = XmlUtils.convertToXml((Object)entElementCBean);
        DataCheckRules.logger.info("工商三要素检查请求报文----->\n" + reqXml);
        final String subXml;
        final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
        DataCheckRules.logger.info("工商三要素检查响应报文----->\n" + subXml);
        final EntElementCBean respBean = (EntElementCBean)XmlUtils.convertXmlStrToObject((Class)EntElementCBean.class, subXml);
        final Status respStatus = respBean.getHeader().getStatus();
        if (!"000000".equals(respStatus.getRetCd())) {
            resultDto.setMessage(respStatus.getDesc());
            dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过" + respStatus.getDesc());
            resultDto.setSuccess(true);
            return resultDto;
        }
        final String msgId = respBean.getBody().getResponse().getMsgId();
        final EntElementResultReq resultRequest = new EntElementResultReq();
        resultRequest.setIbsHdrReq(ibsHdrReq);
        resultRequest.setMesFlag("0");
        resultRequest.setMsgId(msgId);
        msg.setMsgCd("IBS.301210090.01");
        msg.setSeqNb(MyStringUtils.getSeqNb());
        header.setMsg(msg);
        respBean.setHeader(header);
        entElementResultBody.setRequest(resultRequest);
        entElementResultBean.setBody(entElementResultBody);
        entElementResultBean.setHeader(header);
        String resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
        String realRespXml;
        String resultRespXml = realRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
        EntElementResultBean realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
        EntElementResultResp respones = realRespBean.getBody().getResponse();
        Status status = realRespBean.getHeader().getStatus();
        int tempcomer = 0;
        while (!status.getDesc().equals("交易成功")) {
            msg.setSeqNb(MyStringUtils.getSeqNb());
            resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
            Thread.sleep(5000L);
            resultRespXml = (realRespXml = SocketUtil.ClientUtils(resultReqXml, 0));
            DataCheckRules.logger.info("轮询三要素响应报文------>\n" + realRespXml);
            realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
            if (null == realRespBean) {
                dataExaInfoList.setCommerceTel("工商三要素体检结果：未体检:未能获取查询结果");
                return resultDto;
            }
            respones = realRespBean.getBody().getResponse();
            status = realRespBean.getHeader().getStatus();
            if (++tempcomer > 1) {
                resultDto.setMessage(status.getDesc());
                if (status.getDesc().contains("对应申请应答")) {
                    status.setDesc("IBS未能查询到相关数据");
                }
                else {
                    dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:" + status.getDesc());
                }
                return resultDto;
            }
        }
        if (respones != null && status.getDesc().equals("交易成功")) {
            if (null == respones.getRslt()) {
                resultDto.setData((Object)realRespBean);
                dataExaInfoList.setCommerceTel("工商三要素体检结果：未体检:" + realRespBean.getBody().getResponse().getRjctInf());
            }
            else if (respones.getRslt().equals("MCHD")) {
                resultDto.setData((Object)realRespBean);
                dataExaInfoList.setCommerceTel("工商三要素体检结果：体检通过");
            }
            else {
                final String rslt = respones.getRslt();
                resultDto.setData((Object)realRespBean);
                final boolean empty = XmlUtils.emptyJudgment(rslt);
                if (!empty) {
                    dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:" + realRespBean.getBody().getResponse().getRjctInf());
                    return resultDto;
                }
                final String s = rslt;
                switch (s) {
                    case "WCON": {
                        dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:要素核查条件中统一社会信用代码存在，企业名称/字号名称不一致");
                        break;
                    }
                    case "WLPN": {
                        dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:要素核查条件中统一社会信用代码存在，企业名称/字号名称一致，法定代表人/单位负责人姓名/经营者姓名不一致");
                        break;
                    }
                    case "WLPI": {
                        dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:要素核查条件中统一社会信用代码存在，企业名称/字号名称一致，法定代表人或单位负责人姓名/经营者姓名一致，法定代表人或单位负责人身份证件号码/经营者证件号不一致");
                        break;
                    }
                    case "NTFD": {
                        dataExaInfoList.setCommerceTel("工商三要素体检结果：体检不通过:统一社会信用代码匹配失败");
                        break;
                    }
                }
                return resultDto;
            }
        }
        return resultDto;
    }
    
    public ResultDto acceptTimeQuery(final MsgParsingBean gmBean) {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final Header header = gmBean.getHeader();
        final Msg msg = gmBean.getHeader().getMsg();
        header.setVer("1.0");
        CommInspectUtil.setCommonMsg(msg, "IBS.301210140.01", "IBS", "OAMS");
        ibsHdrReq.setSysId("OAMS");
        final EntElementCBean entElementCBean = CommInspectUtil.setAcceptCBean(ibsHdrReq, gmRequest, header);
        final String reqXml = XmlUtils.convertToXml((Object)entElementCBean);
        DataCheckRules.logger.info("受理时间请求报文------>\n" + reqXml);
        final String subXml;
        final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
        DataCheckRules.logger.info("受理时间响应报文------>\n" + subXml);
        final EntElementCBean respBean = (EntElementCBean)XmlUtils.convertXmlStrToObject((Class)EntElementCBean.class, subXml);
        if (!"交易成功".equals(respBean.getHeader().getStatus().getDesc())) {
            resultDto.setMessage(respBean.getHeader().getStatus().getDesc());
            return resultDto;
        }
        final List<SysTime> sysTimeList = respBean.getBody().getResponse().getSysTimeList();
        resultDto.setData((Object)sysTimeList);
        return resultDto;
    }
    
    public ResultDto independentThreeElementCheck(final EntElementCBean entElementCBean) throws InterruptedException {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final EntElementResultBean entElementResultBean = new EntElementResultBean();
        final EntElementResultBody entElementResultBody = new EntElementResultBody();
        final Header header = entElementCBean.getHeader();
        final Msg msg = header.getMsg();
        msg.setReplyToQ((String)null);
        header.setVer("1.0");
        CommInspectUtil.setCommonMsg(msg, "IBS.301210070.01", "IBS", "OAMS");
        ibsHdrReq.setSysId("OAMS");
        ibsHdrReq.setTellerno("3510013");
        final String reqXml = XmlUtils.convertToXml((Object)entElementCBean);
        DataCheckRules.logger.info("独立工商三要素检查请求报文----->\n" + reqXml);
        final String subXml;
        final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
        DataCheckRules.logger.info("独立工商三要素检查响应报文----->\n" + subXml);
        final EntElementCBean respBean = (EntElementCBean)XmlUtils.convertXmlStrToObject((Class)EntElementCBean.class, subXml);
        if (!"交易成功".equals(respBean.getHeader().getStatus().getDesc())) {
            resultDto.setMessage(respBean.getHeader().getStatus().getDesc());
            return resultDto;
        }
        final String msgId = respBean.getBody().getResponse().getMsgId();
        final EntElementResultReq resultRequest = new EntElementResultReq();
        resultRequest.setIbsHdrReq(ibsHdrReq);
        resultRequest.setMesFlag("0");
        resultRequest.setMsgId(msgId);
        msg.setMsgCd("IBS.301210090.01");
        msg.setReplyToQ((String)null);
        msg.setSeqNb(MyStringUtils.getSeqNb());
        header.setMsg(msg);
        respBean.setHeader(header);
        entElementResultBody.setRequest(resultRequest);
        entElementResultBean.setBody(entElementResultBody);
        entElementResultBean.setHeader(header);
        String resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
        String realRespXml;
        String resultRespXml = realRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
        EntElementResultBean realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
        EntElementResultResp respones = realRespBean.getBody().getResponse();
        Status status = realRespBean.getHeader().getStatus();
        int tempcomer = 0;
        while (!status.getDesc().equals("交易成功")) {
            msg.setSeqNb(MyStringUtils.getSeqNb());
            resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
            Thread.sleep(6000L);
            resultRespXml = (realRespXml = SocketUtil.ClientUtils(resultReqXml, 0));
            realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
            respones = realRespBean.getBody().getResponse();
            status = realRespBean.getHeader().getStatus();
            if (++tempcomer > 1) {
                resultDto.setMessage(status.getDesc());
                return resultDto;
            }
        }
        if (respones != null && status.getDesc().equals("交易成功")) {
            resultDto.setData((Object)realRespBean);
        }
        return resultDto;
    }
    
    public static void coreBaseCheck(final List<Wwzhxinx> wwzhxinx, final DataExaInfoList dataExaInfoList, final String accType, final String opBankCode) {
        String pblcCrrntAcctAttrbts = "";
        String coreBasic = "";
        for (final Wwzhxinx wwzhxinxInfo : wwzhxinx) {
            if (!wwzhxinxInfo.getAcctStatus().equals("C")) {
                if (wwzhxinxInfo.getOpenBranch().equals(opBankCode)) {
                    pblcCrrntAcctAttrbts += wwzhxinxInfo.getPblcCrrntAcctAttrbts();
                }
                coreBasic += wwzhxinxInfo.getPblcCrrntAcctAttrbts();
            }
        }
        final boolean existence = XmlUtils.emptyJudgment(pblcCrrntAcctAttrbts);
        final boolean existenceCoreBasic = XmlUtils.emptyJudgment(coreBasic);
        final boolean containsOne = pblcCrrntAcctAttrbts.contains("1");
        final boolean containsZero = pblcCrrntAcctAttrbts.contains("0");
        final boolean coreBasicZero = coreBasic.contains("0");
        if (accType.equals("2")) {
            if (existence && containsZero) {
                dataExaInfoList.setCoreBase("※ 账户性质互斥体检：体检不通过,已在机构[" + opBankCode + "]存在基本户");
            }
            else {
                dataExaInfoList.setCoreBase("账户性质互斥体检：体检通过");
            }
        }
        else {
            coreContainsBasicAcct(dataExaInfoList, existence, existenceCoreBasic, containsOne, coreBasicZero, opBankCode);
        }
    }
    
    private static void coreContainsBasicAcct(final DataExaInfoList dataExaInfoList, final boolean existence, final boolean existenceCoreBasic, final boolean containsOne, final boolean coreBasicZero, final String opBankCode) {
        if (existenceCoreBasic && coreBasicZero) {
            dataExaInfoList.setCoreBase("※ 行内核心系统是否存在基本户：体检不通过,已在机构[" + opBankCode + "]基本户;");
        }
        else {
            dataExaInfoList.setCoreBase("行内核心系统是否存在基本户：体检通过;");
        }
        if (existence && containsOne) {
            dataExaInfoList.setGeneralNet("※ 账户性质互斥体检结果：体检不通过,该客户在我行已存在基本户");
        }
        else {
            dataExaInfoList.setGeneralNet("账户性质互斥体检结果：体检通过;");
        }
    }
    
    public ResultDto pbcBaseCheck(final PbcRequestInfo pbcReqInfo, final MsgParsingBean msgParsingBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final String custAccountTypeType = msgParsingBean.getBody().getMsgParsingRequest().getSrcAccType();
        final String dom = msgParsingBean.getBody().getMsgParsingRequest().getDom();
        final MsgParsingRequest msgParsingRequest = msgParsingBean.getBody().getMsgParsingRequest();
        final Map map = new HashMap();
        if (null == pbcReqInfo) {
            dataExaInfoList.setPbcBase("人行基本户体检：未体检,未上传人行校验相关参数;");
            return resultDto;
        }
        pbcReqInfo.setOpenBankCode(msgParsingRequest.getOpenBankCode());
        pbcReqInfo.setOpenBankName(msgParsingRequest.getOpenBankName());
        final AreaCodePo areaCodePo = DataCheckRules.areaCodeService.queryAllInfo(dom);
        if (null == areaCodePo) {
            dataExaInfoList.setPbcBase("※ 人行基本户体检结果：未体检:行政地区代码有误，请核查;");
            return new ResultDto();
        }
        if (!StringUtil.isBlank(pbcReqInfo.getLocalType()) && pbcReqInfo.getLocalType().equals("2")) {
            if (StringUtil.isBlank(areaCodePo.getProCode())) {
                dataExaInfoList.setPbcBase("※ 人行基本户体检结果：未体检:暂不支持该地区核查;");
                return new ResultDto();
            }
            map.put("areaCode", areaCodePo.getProCode());
            map.put("basicAreaCode", areaCodePo.getProCode());
            map.put("registcode", areaCodePo.getProCode());
        }
        else {
            map.put("areaCode", areaCodePo.getProCode());
            map.put("basicAreaCode", areaCodePo.getProCode());
            map.put("registcode", areaCodePo.getProCode());
            pbcReqInfo.setLocalType("1");
        }
        String peopleType = pbcReqInfo.getPeopleType();
        final String conversionByPropertiesCode;
        peopleType = (conversionByPropertiesCode = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_org_type_code", "4", "1", peopleType, Boolean.valueOf(false)));
        switch (conversionByPropertiesCode) {
            case "01":
            case "02":
            case "13":
            case "14": {
                String custAccountType = msgParsingBean.getBody().getMsgParsingRequest().getAccTypeDetail();
                String accountRank = "4";
                custAccountType = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_account_type_code", "4", "1", custAccountType, Boolean.valueOf(false));
                if ("2".equals(custAccountType) || "3".equals(custAccountType)) {
                    accountRank = "2";
                }
                final PbcUserDto managerAcc = CommonReportUtil.getReportUser(msgParsingRequest.getOpenBankCode(), "1", (String)null, accountRank);
                if (null == managerAcc) {
                    dataExaInfoList.setPbcBase("※ 人行基本户检查：未体检:账管未配置报备账号，无法核查");
                    return new ResultDto();
                }
                final boolean peopleTypeBoolean = peopleType.equals("14");
                final String gxrlx_13 = ProperUtil.getValue("ecifCode.properties", "gxrlx_13");
                map.put("fileNumber", msgParsingBean.getBody().getMsgParsingRequest().getUniSocCdtCd());
                if (!custAccountTypeType.equals("1")) {
                    map.put("checkNumber", msgParsingBean.getBody().getMsgParsingRequest().getCheckNumber().trim());
                }
                final List<RelatedPerList> relatedPerList = msgParsingRequest.getRelatedPerList();
                relatedPerList.forEach(p -> {
                    if (p.getLinkmanType().equals(gxrlx_13)) {
                        final String certType = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_person_cert", "4", "1", p.getCardType(), Boolean.valueOf(false));
                        map.put("idType", certType);
                        map.put("idNumber", p.getCardNo());
                    }
                    return;
                });
                final String pbcUserName = managerAcc.getLoginName();
                final String pbcLoginPwd = managerAcc.getLoginPwd();
                map.put("pbcUserName", pbcUserName);
                map.put("pbcLoginPwd", pbcLoginPwd);
                map.put("accountName", msgParsingBean.getBody().getMsgParsingRequest().getEntName());
                map.put("peopleType", peopleType);
                map.put("localType", pbcReqInfo.getLocalType());
                map.put("openBankName", pbcReqInfo.getOpenBankName());
                if (!XmlUtils.emptyJudgment(pbcReqInfo.getOpenBankCode())) {
                    pbcReqInfo.setOpenBankCode(msgParsingRequest.getOpenBankCode());
                }
                final OrgInfoDto orgInfoDto = DataCheckRules.orgInfoService.queryOrgByOrgCode(pbcReqInfo.getOpenBankCode());
                if (null == orgInfoDto) {
                    dataExaInfoList.setPbcBase("※ 人行基本户检查：未体检:该银行机构[" + map.get(pbcReqInfo.getOpenBankCode()) + "]不存在于我行");
                    return new ResultDto();
                }
                final String cnapbk = orgInfoDto.getBranchCode();
                map.put("openBankCode", cnapbk);
                int connectionCount = 0;
                boolean flag = true;
                if (custAccountTypeType.equals("4") || custAccountTypeType.equals("6") || custAccountTypeType.equals("7")) {
                    dataExaInfoList.setPbcBase("人行基本户体检结果： 体检通过");
                    return resultDto;
                }
                final String basic = PbcCheckUtil.getCheckUriBytType(custAccountTypeType);
                while (connectionCount < DataCheckRules.RECONNECTION_COUNT && flag) {
                    ++connectionCount;
                    HttpClientResult httpResult = null;
                    try {
                        httpResult = HttpClientUtils.doPost(basic, map);
                    }
                    catch (final Exception e) {
                        dataExaInfoList.setPbcBase("※ 人行基本户检查：未体检:人行连接失败,请稍后重试！");
                        continue;
                    }
                    if (null != httpResult && null != httpResult.getData()) {
                        try {
                            DataCheckRules.logger.info("人行war包返回数据------------>" + httpResult.getData());
                            final JSONObject json = JSONObject.parseObject(httpResult.getData());
                            final String message = (String)json.get((Object)"message");
                            DataCheckRules.logger.info("人行基本户返回信息--------->\n" + message);
                            final boolean success = (boolean)json.get((Object)"success");
                            if (success) {
                                dataExaInfoList.setPbcBase("※ 人行基本户体检结果：体检通过");
                            }
                            else if (message.contains("已存在基本户")) {
                                dataExaInfoList.setPbcBase("人行基本户体检结果：体检不通过," + message);
                                flag = false;
                            }
                            else if (message.contains("重复")) {
                                dataExaInfoList.setPbcBase("人行基本户体检结果：体检不通过，" + message);
                                flag = false;
                            }
                            else if (message.contains("不唯一")) {
                                dataExaInfoList.setPbcBase("人行基本户体检结果：体检不通过," + message);
                                flag = false;
                            }
                            else {
                                dataExaInfoList.setPbcBase("※ 人行基本户体检结果：未体检," + message);
                                flag = false;
                                resultDto.setData((Object)json);
                            }
                        }
                        catch (final Exception e) {
                            dataExaInfoList.setPbcBase("※ 人行基本户检查：未体检:人行连接失败,请稍后重试！");
                            flag = false;
                        }
                    }
                }
                return resultDto;
            }
            default: {
                dataExaInfoList.setPbcBase("人行基本户体检结果： 体检通过");
                return resultDto;
            }
        }
    }
    
    public ResultDto coreBlackCheck(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final AccountInfoQBean accountInfoQBean = new AccountInfoQBean();
        CommInspectUtil.setCoreBlackInfo(gmBean, accountInfoQBean);
        final String reqCoreXml = XmlUtils.convertToXml((Object)accountInfoQBean);
        DataCheckRules.logger.info("核心黑名单检查请求报文------>\n" + reqCoreXml);
        final String realXml;
        final String coreRespXml = realXml = SocketUtil.ClientUtils(reqCoreXml, 0);
        DataCheckRules.logger.info("核心黑名单检查响应报文------>\n" + realXml);
        final AccountInfoQBean accountBeanCore = (AccountInfoQBean)XmlUtils.convertXmlStrToObject((Class)AccountInfoQBean.class, realXml);
        final Status status = accountBeanCore.getHeader().getStatus();
        if (status.getDesc().equals("交易成功")) {
            final AccountInfoQOutput output = accountBeanCore.getBody().getResponse().getOutput();
            if (output != null) {
                final List<Lsthmdxx> lsthmdxx = accountBeanCore.getBody().getResponse().getOutput().getLsthmdxx();
                if (lsthmdxx != null && lsthmdxx.size() == 1) {
                    final String listTy = lsthmdxx.get(0).getListTy();
                    if (StringUtils.isNotEmpty(listTy) && "11".equals(listTy)) {
                        dataExaInfoList.setCoreBlack("核心黑名单体检结果：体检通过:该账户存在于风险监测名单中");
                        resultDto.setData((Object)"体检通过");
                        return resultDto;
                    }
                    if (StringUtils.isNotEmpty(listTy) && !"11".equals(listTy)) {
                        dataExaInfoList.setCoreBlack("※ 核心黑名单体检结果：体检不通过:该账户存在于核心黑名单列表中");
                        resultDto.setData((Object)accountBeanCore);
                        return resultDto;
                    }
                }
                dataExaInfoList.setCoreBlack("※ 核心黑名单体检结果：体检不通过:该账户存在于核心黑名单列表中");
                resultDto.setData((Object)accountBeanCore);
            }
            else {
                dataExaInfoList.setCoreBlack("核心黑名单体检结果：体检通过");
                resultDto.setData((Object)"体检通过");
            }
        }
        else {
            resultDto.setSuccess(false);
            resultDto.setMessage(status.getDesc());
        }
        return resultDto;
    }
    
    public ResultDto reqCompareOld(final MsgParsingBean gmBean, final EntElementResultBean elementResultBean, final DataExaInfoList dataExaInfoList) {
        final ResultDto resultDto = new ResultDto();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final EntElementResultResp response = elementResultBean.getBody().getResponse();
        final boolean compareChangeInfo = this.compareChangeInfo(gmRequest, response);
        if (compareChangeInfo) {
            dataExaInfoList.setCommerceDistinctCustomer("变更工商信息对比体检不通过:部分信息不一致");
        }
        else {
            dataExaInfoList.setCommerceDistinctCustomer("变更工商信息对比体检通过");
        }
        return resultDto;
    }
    
    private boolean compareChangeInfo(final MsgParsingRequest gmRequest, final EntElementResultResp response) {
        final List<RelatedPerList> relatedPerList = gmRequest.getRelatedPerList();
        final String gxtlx_9 = ProperUtil.getValue("ecifCode.properties", "dzlx_9");
        final String gxrx_13 = ProperUtil.getValue("ecifCode.properties", "dzlx_13");
        String nmOfLglPrsns = "";
        for (final RelatedPerList perList : relatedPerList) {
            if (perList.getLinkmanType().equals(gxtlx_9) || perList.getLinkmanType().equals(gxrx_13)) {
                nmOfLglPrsns = perList.getName();
            }
        }
        boolean entNm = false;
        boolean uniSocCdtCd = false;
        boolean dom = false;
        boolean opPrdFrom = false;
        boolean opPrdTo = false;
        boolean nmOfLglPrsn = false;
        boolean bizScp = false;
        if (XmlUtils.emptyJudgment(response.getEntNm()) && XmlUtils.emptyJudgment(gmRequest.getEntName())) {
            entNm = response.getEntNm().equals(gmRequest.getEntName());
        }
        if (XmlUtils.emptyJudgment(response.getUniSocCdtCd()) && XmlUtils.emptyJudgment(gmRequest.getEntCertNo())) {
            uniSocCdtCd = response.getUniSocCdtCd().equals(gmRequest.getEntCertNo());
        }
        if (XmlUtils.emptyJudgment(response.getDom()) && XmlUtils.emptyJudgment(gmRequest.getDom())) {
            dom = response.getDom().equals(gmRequest.getDom());
        }
        if (XmlUtils.emptyJudgment(response.getOpPrdFrom()) && XmlUtils.emptyJudgment(gmRequest.getOpPrdFrom())) {
            opPrdFrom = response.getOpPrdFrom().equals(gmRequest.getOpPrdFrom());
        }
        if (XmlUtils.emptyJudgment(response.getOpPrdTo()) && XmlUtils.emptyJudgment(gmRequest.getOpPrdTo())) {
            opPrdTo = response.getOpPrdTo().equals(gmRequest.getOpPrdTo());
        }
        if (XmlUtils.emptyJudgment(response.getNmOfLglPrsn()) && XmlUtils.emptyJudgment(gmRequest.getEntName())) {
            nmOfLglPrsn = response.getNmOfLglPrsn().equals(nmOfLglPrsns);
        }
        if (XmlUtils.emptyJudgment(response.getBizScp()) && XmlUtils.emptyJudgment(gmRequest.getBizScp())) {
            bizScp = response.getBizScp().equals(gmRequest.getBizScp());
        }
        return entNm && uniSocCdtCd && dom && opPrdFrom && opPrdTo && nmOfLglPrsn && bizScp;
    }
    
    public ResultDto queryEcifClientInfo(final ThreeElementBean gmBean) {
        final Header header = gmBean.getHeader();
        final ResultDto resultDto = new ResultDto();
        final Msg msg = new Msg();
        msg.setSrcNb(header.getMsg().getSrcNb());
        msg.setSrcAppCd(header.getMsg().getSrcAppCd());
        final ThreeElementBean threeElementQBean = new ThreeElementBean();
        CommInspectUtil.setCommonMsg(msg, "ECIF.00010280.01", "ECIF", "OAMS");
        ThreeElementReq requestXml = gmBean.getBody().getRequest();
        if (requestXml == null) {
            requestXml = new ThreeElementReq();
        }
        requestXml.setTxCode("0001028");
        header.setMsg(msg);
        threeElementQBean.setHeader(header);
        final ThreeElementBody body = new ThreeElementBody();
        body.setRequest(requestXml);
        threeElementQBean.setBody(body);
        final String ecifReqXml = XmlUtils.convertToXml((Object)threeElementQBean);
        DataCheckRules.logger.info("ECIF机构客户基本信息查询请求报文------>\n" + ecifReqXml);
        String ecifRespXml = null;
        ecifRespXml = SocketUtil.ClientUtils(ecifReqXml, 0);
        DataCheckRules.logger.info("ESB：ECIF机构客户基本信息查询响应报文------>\n" + ecifRespXml);
        final String realXml = ecifRespXml;
        final CommCheckBean commCheckBean = (CommCheckBean)XmlUtils.convertXmlStrToObject((Class)CommCheckBean.class, realXml);
        ThreeElementBean ecifRespInfo = new ThreeElementBean();
        if (commCheckBean.getHeader().getStatus().getRetCd().equals("000000")) {
            ecifRespInfo = (ThreeElementBean)XmlUtils.convertXmlStrToObject((Class)ThreeElementBean.class, realXml);
        }
        final Status status = ecifRespInfo.getHeader().getStatus();
        if (status.getDesc().equals("成功") || status.getDesc().equals("未查到任何记录") || status.getDesc().equals("响应成功")) {
            resultDto.setData((Object)ecifRespInfo);
        }
        else {
            resultDto.setSuccess(false);
            resultDto.setMessage(status.getDesc());
        }
        return resultDto;
    }
    
    public ResultDto middleLayerTaxInfo(final EntElementCBean gmBean) throws InterruptedException {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final EntElementCReq gmRequest = gmBean.getBody().getRequest();
        final Header header = gmBean.getHeader();
        final Msg msg = gmBean.getHeader().getMsg();
        msg.setReplyToQ((String)null);
        header.setVer("1.0");
        CommInspectUtil.setCommonMsg(msg, "IBS.301210040.01", "IBS", "OAMS");
        ibsHdrReq.setSysId("OAMS");
        final EntElementResultBean entElementResultBean = new EntElementResultBean();
        final EntElementResultBody entElementResultBody = new EntElementResultBody();
        final EntElementCBean entElementCBean = CommInspectUtil.setTaxInfoReqBean(ibsHdrReq, gmRequest, header);
        final String reqXml = XmlUtils.convertToXml((Object)entElementCBean);
        final String subXml;
        final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
        final EntElementCBean respBean = (EntElementCBean)XmlUtils.convertXmlStrToObject((Class)EntElementCBean.class, subXml);
        if (!"交易成功".equals(respBean.getHeader().getStatus().getDesc())) {
            resultDto.setMessage(respBean.getHeader().getStatus().getDesc());
            return resultDto;
        }
        final String msgId = respBean.getBody().getResponse().getMsgId();
        final EntElementResultReq resultRequest = new EntElementResultReq();
        resultRequest.setIbsHdrReq(ibsHdrReq);
        resultRequest.setMesFlag("0");
        resultRequest.setMsgId(msgId);
        msg.setMsgCd("IBS.301210060.01");
        msg.setSeqNb(MyStringUtils.getSeqNb());
        header.setMsg(msg);
        respBean.setHeader(header);
        entElementResultBody.setRequest(resultRequest);
        entElementResultBean.setBody(entElementResultBody);
        entElementResultBean.setHeader(header);
        String resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
        DataCheckRules.logger.info("纳税信息联网核查请求报文------>\n" + resultReqXml);
        String realRespXml;
        String resultRespXml = realRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
        DataCheckRules.logger.info("纳税信息联网核查响应报文------>\n" + realRespXml);
        EntElementResultBean realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
        EntElementResultResp respones = realRespBean.getBody().getResponse();
        Status status = realRespBean.getHeader().getStatus();
        int tempcomer = 0;
        while (!status.getDesc().equals("交易成功")) {
            msg.setSeqNb(MyStringUtils.getSeqNb());
            resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
            resultRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
            DataCheckRules.logger.info("纳税信息联网核查响应报文------>\n" + realRespXml + "\n" + tempcomer);
            realRespXml = resultRespXml;
            realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
            respones = realRespBean.getBody().getResponse();
            status = realRespBean.getHeader().getStatus();
            if (++tempcomer > 1) {
                if (status.getDesc().contains("对应申请应答")) {
                    resultDto.setMessage(status.getDesc());
                }
                return resultDto;
            }
            Thread.sleep(6000L);
        }
        if (respones != null && status.getDesc().equals("交易成功")) {
            resultDto.setData((Object)realRespBean);
        }
        return resultDto;
    }
    
    public ResultDto middleTaxInfo(final MsgParsingBean gmBean, final DataExaInfoList dataExaInfoList) throws InterruptedException {
        final ResultDto resultDto = new ResultDto();
        final IBSHdrReq ibsHdrReq = new IBSHdrReq();
        final MsgParsingRequest gmRequest = gmBean.getBody().getMsgParsingRequest();
        final Header header = gmBean.getHeader();
        final Msg msg = gmBean.getHeader().getMsg();
        msg.setReplyToQ((String)null);
        header.setVer("1.0");
        CommInspectUtil.setCommonMsg(msg, "IBS.301210040.01", "IBS", "OAMS");
        ibsHdrReq.setSysId("OAMS");
        ibsHdrReq.setTrdbrno(gmBean.getBody().getMsgParsingRequest().getOpenBankCode());
        final EntElementResultBean entElementResultBean = new EntElementResultBean();
        final EntElementResultBody entElementResultBody = new EntElementResultBody();
        final EntElementCBean entElementCBean = CommInspectUtil.setTaxInfoReqBeans(ibsHdrReq, gmRequest, header);
        final String reqXml = XmlUtils.convertToXml((Object)entElementCBean);
        final String subXml;
        final String respXml = subXml = SocketUtil.ClientUtils(reqXml, 0);
        final EntElementCBean respBean = (EntElementCBean)XmlUtils.convertXmlStrToObject((Class)EntElementCBean.class, subXml);
        final String desc = respBean.getHeader().getStatus().getDesc();
        if (!"交易成功".equals(desc)) {
            resultDto.setMessage(desc);
            dataExaInfoList.setTaxPeople("纳税人信息检查：未体检," + desc);
            return resultDto;
        }
        final String msgId = respBean.getBody().getResponse().getMsgId();
        final EntElementResultReq resultRequest = new EntElementResultReq();
        resultRequest.setIbsHdrReq(ibsHdrReq);
        resultRequest.setMesFlag("0");
        resultRequest.setMsgId(msgId);
        msg.setMsgCd("IBS.301210060.01");
        msg.setSeqNb(MyStringUtils.getSeqNb());
        msg.setReplyToQ((String)null);
        header.setMsg(msg);
        respBean.setHeader(header);
        entElementResultBody.setRequest(resultRequest);
        entElementResultBean.setBody(entElementResultBody);
        entElementResultBean.setHeader(header);
        String resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
        DataCheckRules.logger.info("纳税信息联网核查请求报文------>\n" + resultReqXml);
        String realRespXml;
        String resultRespXml = realRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
        DataCheckRules.logger.info("纳税信息联网核查响应报文------>\n" + realRespXml);
        EntElementResultBean realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
        EntElementResultResp respones = realRespBean.getBody().getResponse();
        Status status = realRespBean.getHeader().getStatus();
        int tempcomer = 0;
        while (!status.getDesc().equals("交易成功")) {
            msg.setSeqNb(MyStringUtils.getSeqNb());
            resultReqXml = XmlUtils.convertToXml((Object)entElementResultBean);
            Thread.sleep(6000L);
            resultRespXml = SocketUtil.ClientUtils(resultReqXml, 0);
            DataCheckRules.logger.info("纳税信息联网核查响应报文------>\n" + realRespXml + "\n" + tempcomer);
            realRespXml = resultRespXml;
            realRespBean = (EntElementResultBean)XmlUtils.convertXmlStrToObject((Class)EntElementResultBean.class, realRespXml);
            respones = realRespBean.getBody().getResponse();
            status = realRespBean.getHeader().getStatus();
            if (++tempcomer > 2) {
                if (status.getDesc().contains("对应申请应答")) {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：未体检,IBS未能查询到相关数据");
                }
                else {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：未体检," + status.getDesc());
                }
                resultDto.setMessage(status.getDesc());
                return resultDto;
            }
        }
        if (respones != null) {
            if (status.getRetCd().equals("000000")) {
                String rslt = null;
                if (null != respones.getRslt()) {
                    rslt = respones.getRslt();
                }
                if (null == rslt) {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：未体检," + respones.getRjctInf());
                }
                else if (rslt.equals("MCHD")) {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：体检通过;");
                }
                else if (rslt.equals("NMCH")) {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：体检不通过,电话号码匹配失败;");
                }
                else if (rslt.equals("NTFD")) {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：体检不通过,统一社会信用代码或纳税人识别号匹配失败;");
                }
                else {
                    dataExaInfoList.setTaxPeople("纳税人信息检查：体检不通过," + respones.getRjctInf() + ";");
                }
            }
        }
        else {
            dataExaInfoList.setTaxPeople("纳税人信息检查：未体检," + status.getDesc());
            resultDto.setData((Object)realRespBean);
        }
        return resultDto;
    }
    
    public void reservationCop(final MsgParsingBean msgParsingBean, DataExaInfoList dataExaInfoList) {
        final Header header = msgParsingBean.getHeader();
        final Msg msg = header.getMsg();
        CommInspectUtil.setCommonMsg(msg, "COP.030000010.01", "COP", "OAMS");
        msg.setRefSeqNb((String)null);
        msg.setRefSndDt((String)null);
        msg.setRefSndAppCd((String)null);
        msg.setRefMsgCd((String)null);
        msg.setRefSndMbrCd((String)null);
        msg.setReplyToQ((String)null);
        final MsgParsingRequest msgParsingRequest = msgParsingBean.getBody().getMsgParsingRequest();
        dataExaInfoList = dataExaInfoListDeal(dataExaInfoList);
        msgParsingRequest.setDataExaInfoList(dataExaInfoList);
        final String operationType = msgParsingRequest.getOperationType();
        msgParsingRequest.setBusinessType("0" + operationType);
        msgParsingRequest.setInspectResult(msgParsingRequest.getStatus());
        final MsgParsingBody body = msgParsingBean.getBody();
        body.setMsgParsingRequest(msgParsingRequest);
        header.setStatus((Status)null);
        header.setMsg(msg);
        final List<RelatedPerList> relatedPerList = msgParsingRequest.getRelatedPerList();
        if (relatedPerList != null && !operationType.equals("3")) {
            relatedPerList.forEach(p -> {
                final String zhengjianleixing3 = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_person_cert", "1", "4", p.getCardType(), Boolean.valueOf(false));
                p.setCardType(zhengjianleixing3);
                return;
            });
        }
        if (XmlUtils.emptyJudgment(msgParsingRequest.getAgentCertType())) {
            final String zhengjianleixing = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_person_cert", "1", "4", msgParsingRequest.getAgentCertType(), Boolean.valueOf(false));
            msgParsingRequest.setAgentCertType(zhengjianleixing);
        }
        final boolean b = !header.getMsg().getSrcAppCd().equals("NBS");
        if (XmlUtils.emptyJudgment(msgParsingRequest.getEntCertType()) && b) {
            final String zhengjianleixing2 = DataEncodingUtils.conversionByPropertiesCode("data_dictionary_main_certificate_type", "1", "4", msgParsingRequest.getEntCertType(), Boolean.valueOf(false));
            msgParsingRequest.setEntCertType(zhengjianleixing2);
        }
        msgParsingRequest.setCustType("000" + msgParsingRequest.getCustType());
        msgParsingRequest.setEntAccountType("000" + msgParsingRequest.getEntAccountType());
        msgParsingRequest.setAcctNature(msgParsingRequest.getEntAccountType());
        if (msg.getSrcMsgCode().equals("OAMS.00010030.01")) {
            final DelAccountInfo delAccountInfo = msgParsingRequest.getDelAccountInfo();
            msgParsingRequest.setCustType("000" + delAccountInfo.getCustAccountType());
            msgParsingRequest.setEntAccountType("000" + delAccountInfo.getCustAccountType());
            msgParsingRequest.setCustAccountType("000" + delAccountInfo.getCustAccountType());
            msgParsingRequest.setEntName(delAccountInfo.getEntName());
            msgParsingRequest.setCreditCheck(dataExaInfoList.getCredit());
            msgParsingRequest.setDestroyAcctCheck(dataExaInfoList.getDestroyAcctCheck());
            msgParsingRequest.setAcctNature("000" + delAccountInfo.getCustAccountType());
        }
        msgParsingBean.setHeader(header);
        msgParsingBean.setBody(body);
        msgParsingRequest.setAuditResults("3");
        String copReqXml = XmlUtils.convertToXml((Object)msgParsingBean);
        copReqXml = copReqXml.replace(" xsi:nil=\"true\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"", "");
        DataCheckRules.logger.info("集中作业预约受理请求报文------>\n" + copReqXml);
        String copRespXml = null;
        copRespXml = SocketUtil.ClientUtils(copReqXml, 0);
        DataCheckRules.logger.info("集中作业预约受理返回报文------>\n" + copRespXml);
        final String realXml = copRespXml;
        final CommCheckBean commCheckBean = (CommCheckBean)XmlUtils.convertXmlStrToObject((Class)CommCheckBean.class, realXml);
        if (commCheckBean.getHeader().getStatus().getRetCd().equals("000000")) {
            final MsgParsingBean respMsgParsingBean = (MsgParsingBean)XmlUtils.convertXmlStrToObject((Class)MsgParsingBean.class, realXml);
            if (null != respMsgParsingBean.getBody() || null != respMsgParsingBean.getBody().getMsgParsingRequest()) {
                final String businessKey = respMsgParsingBean.getBody().getMsgParsingResponse().getBusinessKey();
                msgParsingBean.getBody().getMsgParsingRequest().setBusinessKey(businessKey);
                msgParsingRequest.setAuditResults("3");
            }
            else {
                msgParsingRequest.setAuditResults("2");
            }
        }
        else {
            msgParsingRequest.setAuditResults("2");
        }
        msgParsingRequest.setStatus("1");
        DataCheckRules.inspectService.updateInspectStatus(msgParsingRequest);
    }
    
    public static MsgParsingRequest reflect(DataExaInfoList e, final MsgParsingRequest gmRequest) throws Exception {
        e = dataExaInfoListDeal(e);
        final Class cls = e.getClass();
        final Field[] fields = cls.getDeclaredFields();
        String failCause = "";
        for (int i = 0; i < fields.length; ++i) {
            final Field f = fields[i];
            f.setAccessible(true);
            final boolean present = Optional.ofNullable(f.get(e)).isPresent();
            if (present && ((String)f.get(e)).indexOf("体检通过") > 0) {
                failCause = failCause + f.get(e) + "\r\n";
            }
            else if (present && ((String)f.get(e)).indexOf("体检不通过") > 0) {
                failCause = failCause + f.get(e) + "\r\n";
            }
            else if (present && ((String)f.get(e)).indexOf("未体检") > 0) {
                failCause = failCause + f.get(e) + "\r\n";
            }
        }
        if (XmlUtils.emptyJudgment(failCause)) {
            gmRequest.setFailCause(failCause.substring(0, failCause.length() - 1));
        }
        return gmRequest;
    }
    
    public static DataExaInfoList dataExaInfoListDeal(final DataExaInfoList dataExaInfoList) {
        final String listTxt = "当天人行未通知登记信息联网核查业务受理时间";
        if (StringUtils.isNoneBlank(dataExaInfoList.getServiolation()) && dataExaInfoList.getServiolation().contains(listTxt)) {
            dataExaInfoList.setServiolation(dataExaInfoList.getServiolation().replace("体检不通过", "未体检"));
        }
        if (StringUtils.isNoneBlank(dataExaInfoList.getThreeElements()) && dataExaInfoList.getThreeElements().contains(listTxt)) {
            dataExaInfoList.setThreeElements(dataExaInfoList.getThreeElements().replace("体检不通过", "未体检"));
        }
        if (StringUtils.isNoneBlank(dataExaInfoList.getCommerceTel()) && dataExaInfoList.getCommerceTel().contains(listTxt)) {
            dataExaInfoList.setCommerceTel(dataExaInfoList.getCommerceTel().replace("体检不通过", "未体检"));
        }
        if (StringUtils.isNoneBlank(dataExaInfoList.getEcifDistinctCustomer()) && dataExaInfoList.getEcifDistinctCustomer().contains(listTxt)) {
            dataExaInfoList.setEcifDistinctCustomer(dataExaInfoList.getEcifDistinctCustomer().replace("体检不通过", "未体检"));
        }
        if (StringUtils.isNoneBlank(dataExaInfoList.getTaxPeople()) && dataExaInfoList.getTaxPeople().contains(listTxt)) {
            dataExaInfoList.setTaxPeople(dataExaInfoList.getTaxPeople().replace("体检不通过", "未体检"));
        }
        return dataExaInfoList;
    }
    
    public ResultDto accNoCreditLoanCheck(final DataExaInfoList dataExaInfoList, final String payBackAccount, final MsgParsingBean gmBean) {
        final ResultDto resultDto = new ResultDto();
        final Header header = gmBean.getHeader();
        final Msg msg = header.getMsg();
        msg.setReplyToQ((String)null);
        msg.setMsgCd("CMS.0CMS00110.01");
        msg.setRcvAppCd("CMS");
        msg.setSeqNb(SeqNoUtil.getSeqNb());
        header.setMsg(msg);
        final CreditLoansBean creditLoansBean = new CreditLoansBean();
        final CreditLoanBody creditLoanBody = new CreditLoanBody();
        final CreditLoanReq creditLoanReq = new CreditLoanReq();
        final CreditLoansReqHdr creditLoansReqHdr = new CreditLoansReqHdr();
        creditLoansReqHdr.setChannelCode("OAMS");
        creditLoansReqHdr.setTransDate(SeqNoUtil.getSndDt());
        creditLoansReqHdr.setTransTime(SeqNoUtil.getTransTime());
        creditLoansReqHdr.setTransCode("CMS0011");
        creditLoansReqHdr.setSortNo(SeqNoUtil.getSeqNb());
        creditLoanReq.setCreditLoansReqHdr(creditLoansReqHdr);
        creditLoanReq.setPayBackAccount(payBackAccount);
        creditLoanBody.setCreditLoanReq(creditLoanReq);
        creditLoansBean.setBody(creditLoanBody);
        creditLoansBean.setHeader(header);
        String reqXml = XmlUtils.convertToXml((Object)creditLoansBean);
        reqXml = reqXml.replace(" xsi:nil=\"true\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"", "");
        DataCheckRules.logger.info("信贷检查请求报文======>\n" + reqXml);
        final String realXml;
        final String respXml = realXml = SocketUtil.ClientUtils(reqXml, 0);
        DataCheckRules.logger.info("信贷检查响应报文======>\n" + realXml);
        final CreditLoansBean respBean = (CreditLoansBean)XmlUtils.convertXmlStrToObject((Class)CreditLoansBean.class, realXml);
        final String desc = respBean.getHeader().getStatus().getDesc();
        if (desc.equals("交易成功")) {
            final CreditLoanResp creditLoanResp = respBean.getBody().getCreditLoanResp();
            final List<LoanList> loanLists = creditLoanResp.getLoanLists();
            if (loanLists == null) {
                dataExaInfoList.setCredit("信贷体检结果:体检通过");
                gmBean.getBody().getMsgParsingRequest().setFailCause(dataExaInfoList.getCredit());
                return resultDto;
            }
            for (final LoanList temp : loanLists) {
                final String finishFlag = temp.getFinishFlag();
                if (!finishFlag.equals("1")) {
                    dataExaInfoList.setCredit("※ 信贷体检结果:体检不通过该户在行内有贷款未结清,拒绝销户;");
                    gmBean.getBody().getMsgParsingRequest().setFailCause(dataExaInfoList.getCredit());
                    break;
                }
                dataExaInfoList.setCredit("信贷体检结果:体检通过");
                gmBean.getBody().getMsgParsingRequest().setFailCause(dataExaInfoList.getCredit());
            }
        }
        else {
            resultDto.setMessage(desc);
            dataExaInfoList.setCredit("※ 信贷体检结果:体检不通过," + desc);
            gmBean.getBody().getMsgParsingRequest().setFailCause(dataExaInfoList.getCredit());
        }
        return resultDto;
    }
    
    static {
        logger = LoggerFactory.getLogger(DataCheckRules.class);
        RECONNECTION_COUNT = 3;
    }
}
